Func _Rename()
	$winopt_int = 1
	_WinOptEntry()
EndFunc

Func _Hide()
	$winopt_int = 2
	_WinOptEntry()
EndFunc

Func _Show()
	$winopt_int = 3
	_WinOptEntry()
EndFunc

Func _Kill()
	$winopt_int = 4
	_WinOptEntry()
EndFunc

Func _JumpTo()
	$winopt_int = 5
	_WinOptEntry()
EndFunc

Func _Remove()
	_WinOptCTRemove(_GUICtrlListBox_GetCurSel($winopt_ctlist))
EndFunc



Func _WinOptRefresh()

	Dim $winopt_arlist[1][2]
	$pntr = _GUICtrlListBox_GetCurSel($winopt_list)
	GUICtrlSetData($winopt_list,"")
	$prolist = ProcessList("data.dll")
	$winlist = WinList()
	For $i = 1 To $winlist[0][0]
		If WinGetProcess($winlist[$i][0]) = 0 Then
			Local $int = UBound($winopt_arlist)
			$winopt_arlist[$int - 1][0] = $winlist[$i][0]
			$winopt_arlist[$int - 1][1] = $winlist[$i][1]
			ReDim $winopt_arlist[$int + 1][2]
			GUICtrlSetData($winopt_list,$winlist[$i][0] & "  --  " & $winlist[$i][1])
		EndIf
		For $a = 1 To $prolist[0][0]
			If WinGetProcess($winlist[$i][0]) = $prolist[$a][1] Then
				Local $int = UBound($winopt_arlist)
				$winopt_arlist[$int - 1][0] = $winlist[$i][0]
				$winopt_arlist[$int - 1][1] = $winlist[$i][1]
				ReDim $winopt_arlist[$int + 1][2]
				GUICtrlSetData($winopt_list,$winlist[$i][0] & "  --  " & $winlist[$i][1])
			EndIf

		Next

	Next
	_GUICtrlListBox_SetCurSel($winopt_list,$pntr)
EndFunc

Func _WinOptEntry()
	Local $winselect = GUICtrlRead($winopt_list)
	For $i = 0 To UBound($winopt_arlist) - 1
		If $winselect = ($winopt_arlist[$i][0] & "  --  " & $winopt_arlist[$i][1]) Then
			If WinExists($winopt_arlist[$i][1]) Then
				Switch $winopt_int
				Case 1
						$nname = _InputBox("Change Window Name","Please enter the desired title",$winopt_arlist[$i][0],$main)
						If $nname = "" Then Return
						WinSetTitle($winopt_arlist[$i][1],"",$nname)
				Case 2
						WinSetState($winopt_arlist[$i][1],"",@SW_HIDE)
				Case 3
						WinSetState($winopt_arlist[$i][1],"",@SW_SHOW)
				Case 4
						WinKill($winopt_arlist[$i][1])
				Case 5
						WinActivate($winopt_arlist[$i][1])
				EndSwitch
				Sleep(1000)
				_WinOptRefresh()
				Return
			Else
				_MsgBox(0,$title,"The selected client doesn't exist anymore" & @CRLF & "You should refresh the list.",$main)
				Return
			EndIf
		EndIf
	Next

EndFunc

Func _WinOptCTime()
		Local $winselect = GUICtrlRead($winopt_list)
	For $i = 0 To UBound($winopt_arlist) - 1
		If $winselect = ($winopt_arlist[$i][0] & "  --  " & $winopt_arlist[$i][1]) Then
			If WinExists($winopt_arlist[$i][1]) Then

				For $b = 0 To UBound($winopt_clist) - 1
					If $winopt_arlist[$b][1] = $winopt_clist[$b][1] Then
						_MsgBox(0,$title,"You already have a close order onto this window",$main)
						Return
					EndIf

				Next
				Local $int = UBound($winopt_clist)
				$time = _InputBox($title,"Time to elapse for closing the Flyff window "& @CRLF & $winopt_arlist[$i][0] & "  --  " & $winopt_arlist[$i][1]  & @CRLF & "(Hours:Minutes:Seconds)","00:00:00",$main,Default,330,Default)
				If $time = "" Then Return
				$time_split = StringSplit($time,":")

				If $time_split[0] <> 3 Then
					_MsgBox(0,$title,"Your input doesn't hit the required format",$main)
					Return
				EndIf

				$time_split[1] = Number($time_split[1])
				$time_split[2] = Number($time_split[2])
				$time_split[3] = Number($time_split[3])
				$time_elapse = (($time_split[1] * 3600) * 1000) + (($time_split[2] * 60) * 1000) + ($time_split[3] * 1000)

				If $time_elapse = 0 Then
					_MsgBox(0,$title,"You can't leave the timer at 0 seconds",$main)
					Return
				EndIf

				If $time_split[2] > 60 Or $time_split[3] > 60 Then
					_MsgBox(0,$title,"You have set a too high number for minutes or seconds",$main)
					Return
				EndIf

				$msg = _MsgBox(4,$title,"Is the time correct?" & @CRLF & @CRLF & $time_split[1] & ":" & $time_split[2] & ":" & $time_split[3],$main)
				If $msg = 7 Then Return



				$winopt_clist[$int - 1][0] = $winopt_arlist[$i][0]
				$winopt_clist[$int - 1][1] = $winopt_arlist[$i][1]

				$winopt_ctime[$int - 1][0] = $time_elapse
				$winopt_ctime[$int - 1][1] = $time_split[1]
				$winopt_ctime[$int - 1][2] = $time_split[2]
				$winopt_ctime[$int - 1][3] = $time_split[3]
				$winopt_cinit[$int - 1] = TimerInit()

				If $winopt_ctime[$winopt_ctoken][0] - TimerDiff($winopt_cinit[$winopt_ctoken]) > $winopt_ctime[$int - 1][0] Then
					$winopt_ctoken = $int - 1
				EndIf
				GUICtrlSetData($winopt_cwindis,$winopt_clist[$winopt_ctoken][0] & "  --  " & $winopt_clist[$winopt_ctoken][1])
				GUICtrlSetData($winopt_ctlist,$winopt_clist[$winopt_ctoken][0] & "  --  " & $winopt_clist[$winopt_ctoken][1] & "  --  " & $winopt_ctime[$int - 1][1] & ":" & $winopt_ctime[$int - 1][2] & ":" & $winopt_ctime[$int - 1][3])
				GUICtrlSetData($winopt_cwintimer,StringFormat("%02i:%02i:%02i", $winopt_ctime[$winopt_ctoken][1],$winopt_ctime[$winopt_ctoken][2],$winopt_ctime[$winopt_ctoken][3]))
				ReDim $winopt_clist[UBound($winopt_clist) + 1][2]
				ReDim $winopt_ctime[UBound($winopt_clist) + 1][4]
				ReDim $winopt_cinit[UBound($winopt_clist) + 1]
				Return
			Else
				_MsgBox(0,$title,"The selected client doesn't exist anymore" & @CRLF & "You should refresh the list.",$main)
				Return
			EndIf
		EndIf
	Next


EndFunc

Func _WinOptCTRemove($entry)
			If $entry = -1 Then Return
			_GUICtrlListBox_DeleteString($winopt_ctlist,_GUICtrlListBox_FindString($winopt_ctlist,$winopt_clist[$entry][0] & "  --  " & $winopt_clist[$entry][1]))
			_ArrayDelete($winopt_clist,$entry)
			_ArrayDelete($winopt_ctime,$entry)
			_ArrayDelete($winopt_cinit,$entry)
			For $i = 0 To UBound($winopt_clist) - 1
				$int = 0
				For $a = 0 To UBound($winopt_clist) - 1
					If $winopt_ctime[$i][0] - TimerDiff($winopt_cinit[$i]) < $winopt_ctime[$a][0] - TimerDiff($winopt_cinit[$a]) Then
						$int = $int + 0
					Else
						$int = $int + 1
					EndIf
				Next
				If $int = 0 Then
					$winopt_ctoken = $i
				EndIf
			Next
			GUICtrlSetData($winopt_cwindis,$winopt_clist[$winopt_ctoken][0] & "  --  " & $winopt_clist[$winopt_ctoken][1])
			GUICtrlSetData($winopt_cwintimer,StringFormat("%02i:%02i:%02i", $winopt_ctime[$winopt_ctoken][1],$winopt_ctime[$winopt_ctoken][2],$winopt_ctime[$winopt_ctoken][3]))
			 _WinOptRefresh()
EndFunc

